Loading...
Searching...
No Matches
XrdCl::PostMasterImpl Struct Reference
Collaboration diagram for XrdCl::PostMasterImpl:

## Public Types

typedef std::map< std::string, Channel * > | ChannelMap
typedef std::map< const URL *, Channel * > | CollapsedMap

## Public Member Functions

| PostMasterImpl ()
| ~PostMasterImpl ()

## Public Attributes

ChannelMap | pChannelMap
XrdSysMutex | pChannelMapMutex
CollapsedMap | pCollapsedMap
XrdSysRWLock | pDisconnectLock
bool | pInitialized
JobManager * | pJobManager
XrdSysMutex | pMtx
std::function< void(const URL &, const XRootDStatus &)> | pOnConnErrCB
std::unique_ptr< Job > | pOnConnJob
Poller * | pPoller
bool | pRunning
TaskManager * | pTaskManager

## Detailed Description

Definition at line 58 of file XrdClPostMaster.cc.

## Member Typedef Documentation

## ChannelMap

typedef std::map<std::string, Channel*> XrdCl::PostMasterImpl::ChannelMap

Definition at line 77 of file XrdClPostMaster.cc.

## CollapsedMap

typedef std::map<const URL*, Channel*> XrdCl::PostMasterImpl::CollapsedMap

Definition at line 78 of file XrdClPostMaster.cc.

## Constructor & Destructor Documentation

## PostMasterImpl()

XrdCl::PostMasterImpl::PostMasterImpl | ( |  | ) |

inline

Definition at line 60 of file XrdClPostMaster.cc.

: pPoller( 0 ), pInitialized( false ), pRunning( false )
{
Env *env = DefaultEnv::GetEnv();
int workerThreads = DefaultWorkerThreads;
env->GetInt( "WorkerThreads", workerThreads );
pTaskManager = new TaskManager();
pJobManager = new JobManager(workerThreads);
}
XrdCl::DefaultEnv::GetEnv
static Env * GetEnv()
Get default client environment.
Definition XrdClDefaultEnv.cc:445
XrdCl::DefaultWorkerThreads
const int DefaultWorkerThreads
Definition XrdClConstants.hh:60
XrdCl::PostMasterImpl::pPoller
Poller * pPoller
Definition XrdClPostMaster.cc:80
XrdCl::PostMasterImpl::pTaskManager
TaskManager * pTaskManager
Definition XrdClPostMaster.cc:81
XrdCl::PostMasterImpl::pInitialized
bool pInitialized
Definition XrdClPostMaster.cc:89
XrdCl::PostMasterImpl::pJobManager
JobManager * pJobManager
Definition XrdClPostMaster.cc:91
XrdCl::PostMasterImpl::pRunning
bool pRunning
Definition XrdClPostMaster.cc:90

References XrdCl::DefaultWorkerThreads, XrdCl::DefaultEnv::GetEnv(), XrdCl::Env::GetInt(), pInitialized, pJobManager, pPoller, pRunning, and pTaskManager.

Here is the call graph for this function:

## ~PostMasterImpl()

XrdCl::PostMasterImpl::~PostMasterImpl | ( |  | ) |

inline

Definition at line 70 of file XrdClPostMaster.cc.

{
delete pPoller;
delete pTaskManager;
delete pJobManager;
}

References pJobManager, pPoller, and pTaskManager.

## Member Data Documentation

## pChannelMap

ChannelMap XrdCl::PostMasterImpl::pChannelMap

Definition at line 82 of file XrdClPostMaster.cc.

## pChannelMapMutex

XrdSysMutex XrdCl::PostMasterImpl::pChannelMapMutex

Definition at line 87 of file XrdClPostMaster.cc.

## pCollapsedMap

CollapsedMap XrdCl::PostMasterImpl::pCollapsedMap

Definition at line 83 of file XrdClPostMaster.cc.

## pDisconnectLock

XrdSysRWLock XrdCl::PostMasterImpl::pDisconnectLock

Definition at line 100 of file XrdClPostMaster.cc.

## pInitialized

bool XrdCl::PostMasterImpl::pInitialized

Definition at line 89 of file XrdClPostMaster.cc.

Referenced by PostMasterImpl().

## pJobManager

JobManager* XrdCl::PostMasterImpl::pJobManager

Definition at line 91 of file XrdClPostMaster.cc.

Referenced by PostMasterImpl(), and ~PostMasterImpl().

## pMtx

XrdSysMutex XrdCl::PostMasterImpl::pMtx

Definition at line 93 of file XrdClPostMaster.cc.

## pOnConnErrCB

std::function<void( const URL&, const XRootDStatus& )> XrdCl::PostMasterImpl::pOnConnErrCB

Definition at line 95 of file XrdClPostMaster.cc.

## pOnConnJob

std::unique_ptr<Job> XrdCl::PostMasterImpl::pOnConnJob

Definition at line 94 of file XrdClPostMaster.cc.

## pPoller

Poller* XrdCl::PostMasterImpl::pPoller

Definition at line 80 of file XrdClPostMaster.cc.

Referenced by PostMasterImpl(), and ~PostMasterImpl().

## pRunning

bool XrdCl::PostMasterImpl::pRunning

Definition at line 90 of file XrdClPostMaster.cc.

Referenced by PostMasterImpl().

## pTaskManager

TaskManager* XrdCl::PostMasterImpl::pTaskManager

Definition at line 81 of file XrdClPostMaster.cc.

Referenced by PostMasterImpl(), and ~PostMasterImpl().

The documentation for this struct was generated from the following file:

- XrdClPostMaster.cc